import java.util.Arrays;

public class ComparatorMultipleAttributeExample {


    public static void main(String[] args) {

        Employee[] employeeList = new Employee[4];
        employeeList[0] = new Employee(10, "Neo", 25, 100000);
        employeeList[1] = new Employee(20, "Dhruv", 29, 200000);
        employeeList[2] = new Employee(5, "Akshay", 35, 500000);
        employeeList[3] = new Employee(1, "Abhay", 32, 5000);

        //sorting employees array using Comparable interface implementation
        Arrays.sort(employeeList);
        System.out.println("Default Sorting of Employees list:\n" + Arrays.toString(employeeList));

        //sort employees array using Comparator by Salary
        Arrays.sort(employeeList, Employee.SalaryComparator);
        System.out.println("Employees list sorted by Salary:\n" + Arrays.toString(employeeList));

        //Employees list sorted by ID and then name using Comparator class
        employeeList[0] = new Employee(1, "Gagan", 25, 10000);
        Arrays.sort(employeeList, new EmployeeComparatorByIdAndName());
        System.out.println("Employees list sorted by ID and Name:\n" + Arrays.toString(employeeList));
    }

}
